/*
	File:       ModuSessionMysql.h
	Contains:   Definitions for ModuSessionMysql.cpp
	Author:     Phil Christensen <pchristensen@dramonline.org>
*/

#ifndef _QTSSMODU_H_
#define _QTSSMODU_H_
#include "mysql.h"

class ModuSessionMysql {
	public:
		ModuSessionMysql(char*, char*, char*, char*, char*, char*);
		~ModuSessionMysql();
		Bool16 set(char*, char*, char*, char*);
		Bool16 check();
		Bool16 checkDarwinSession();
		Bool16 clearDarwinSessions();
		int	rows();

	private:
		MYSQL db;
		char query[512];
		char* directory;
		char* sessionkey;
		char* ip; 
		char* darwin;
};

#endif
